<?php
/**
 * @package   woo_affilbox
 * @author    Vladislav Musilek
 * @license   GPL-2.0+
 * @link      http://toret.cz.cz
 * @copyright 2014 Vladislav Musilek
 */
 
if(isset($_POST['update'])){
  
    if(!empty($_POST['affilbox_converse_code'])){
        $affilbox_converse_code = $_POST['affilbox_converse_code'];
        update_option( 'affilbox_converse_code', $affilbox_converse_code );
    }
    if(!empty($_POST['affilbox_tracking_code'])){
        $affilbox_tracking_code = $_POST['affilbox_tracking_code'];
        update_option( 'affilbox_tracking_code', $affilbox_tracking_code );
    }
    if( !empty( $_POST['affilbox_count_shipping'] ) ){
        $affilbox_count_shipping = $_POST['affilbox_count_shipping'];
        update_option( 'affilbox_count_shipping', $affilbox_count_shipping );
    }else{
        delete_option( 'affilbox_count_shipping' );
    }
    wp_redirect(home_url().'/wp-admin/admin.php?page=affilbox');
  
}  
$affilbox_converse_code = stripslashes(get_option( 'affilbox_converse_code'));
$affilbox_tracking_code = stripslashes(get_option( 'affilbox_tracking_code')); 
$affilbox_count_shipping = stripslashes(get_option( 'affilbox_count_shipping')); 
 
?>

<div class="wrap">

	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>

  <form method="post" action="">	
   <table id="category-sort">
    <tr>
      <td><?php _e('Konverzní kód','woo-affiliate'); ?></td>
      <td><textarea name="affilbox_converse_code" style="min-width:500px;height:100px;"><?php if(!empty($affilbox_converse_code)){  echo $affilbox_converse_code;} ?></textarea></td>
    </tr>
    <tr>
      <td><?php _e('Tracking kód','woo-affiliate'); ?></td>
      <td><textarea name="affilbox_tracking_code" style="min-width:500px;height:100px;"><?php if(!empty($affilbox_tracking_code)){  echo $affilbox_tracking_code;} ?></textarea></td>
    </tr>
    <tr>
      <td><?php _e('Odstranit z konverzí dopravu?','woo-affiliate'); ?></td>
      <td><input type="checkbox" name="affilbox_count_shipping" value="yes" <?php if( !empty( $affilbox_count_shipping ) && $affilbox_count_shipping == 'yes' ){ echo 'checked="checked"'; } ?> /></td>
    </tr>
   </table>
   <input type="hidden" name="update" value="ok" />
   <input type="submit" class="button" <?php _e('Uložit','woo-affiliate'); ?> />
   
</form>

</div>
